## org.apache.xerces.impl
Interface XMLEntityDescription

All Superinterfaces:
  org.apache.xerces.xni.XMLResourceIdentifier

All Known Implementing Classes:
  XMLEntityDescriptionImpl

    public interface XMLEntityDescription

extends org.apache.xerces.xni.XMLResourceIdentifier

This interface describes the properties of entities--their physical location and their name.

Version:
  $Id: XMLEntityDescription.java 320089 2004-10-04 21:45:49Z mrglavas $
Author:
  Michael Glavassevich, IBM

# INTERNAL:

  Usage of this class is not supported. It may be altered or removed at any time.

Method Summary
`java.lang.String` `getEntityName()` Returns the name of the entity.
`void` `setEntityName(java.lang.String name)` Sets the name of the entity.

Methods inherited from interface org.apache.xerces.xni.XMLResourceIdentifier
`getBaseSystemId, getExpandedSystemId, getLiteralSystemId, getNamespace, getPublicId, setBaseSystemId, setExpandedSystemId, setLiteralSystemId, setNamespace, setPublicId`

Method Detail

### setEntityName

    void setEntityName(java.lang.String name)

  Sets the name of the entity.

  Parameters:
    `name` - the name of the entity

### getEntityName

    java.lang.String getEntityName()

  Returns the name of the entity.

  Returns:
    the name of the entity

Copyright © 1999-2006 Apache XML Project. All Rights Reserved.